Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
UrlHelperTest::providerTestValidRelativeData function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for testValidRelative().
UrlHelperTest::testBuildQuery function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests query building.
UrlHelperTest::testCompressUncompress function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests that we get the same thing out that we put in.
UrlHelperTest::testEncodePath function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests path encoding.
UrlHelperTest::testExternalIsLocal function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests detecting external URLs that point to local resources.
UrlHelperTest::testExternalIsLocalInvalid function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid URL arguments.
UrlHelperTest::testFilterBadProtocol function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests bad protocol filtering and escaping.
UrlHelperTest::testFilterQueryParameters function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests query filtering.
UrlHelperTest::testInvalidAbsolute function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid absolute URLs.
UrlHelperTest::testInvalidRelative function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid relative URLs.
UrlHelperTest::testIsExternal function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests external versus internal paths.
UrlHelperTest::testParse function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests URL parsing.
UrlHelperTest::testStripDangerousProtocols function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests dangerous URL protocol filtering.
UrlHelperTest::testUncompressInvalidString function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests passing an invalid string as a compressed query parameter.
UrlHelperTest::testValidAbsolute function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests valid absolute URLs.
UrlHelperTest::testValidRelative function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests valid relative URLs.
UrlIntegrationTest class core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php Tests the URL object integration into the access system.
UrlIntegrationTest.php file core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php
UrlIntegrationTest::$modules property core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php Modules to install.
UrlIntegrationTest::testAccess function core/tests/Drupal/KernelTests/Core/Routing/UrlIntegrationTest.php Ensures that the access() method on \Drupal\Core\Url objects works.
UrlMatcher::getAttributes function core/lib/Drupal/Core/Routing/UrlMatcher.php
UrlMatcher::__construct function core/lib/Drupal/Core/Routing/UrlMatcher.php Constructs a new UrlMatcher.
UrlPlainFormatter::viewElements function core/modules/file/src/Plugin/Field/FieldFormatter/UrlPlainFormatter.php Builds a renderable array for a field value.
UrlResolver class core/modules/media/tests/modules/media_test_oembed/src/UrlResolver.php Overrides the oEmbed URL resolver service for testing purposes.
UrlResolver class core/modules/media/src/OEmbed/UrlResolver.php Converts oEmbed media URLs into endpoint-specific resource URLs.
UrlResolver.php file core/modules/media/src/OEmbed/UrlResolver.php
UrlResolver.php file core/modules/media/tests/modules/media_test_oembed/src/UrlResolver.php
UrlResolver::$cacheBackend property core/modules/media/src/OEmbed/UrlResolver.php The cache backend.
UrlResolver::$httpClient property core/modules/media/src/OEmbed/UrlResolver.php The HTTP client.
UrlResolver::$moduleHandler property core/modules/media/src/OEmbed/UrlResolver.php The module handler service.
UrlResolver::$providers property core/modules/media/src/OEmbed/UrlResolver.php The OEmbed provider repository service.
UrlResolver::$resourceFetcher property core/modules/media/src/OEmbed/UrlResolver.php The OEmbed resource fetcher service.
UrlResolver::$urlCache property core/modules/media/src/OEmbed/UrlResolver.php Static cache of discovered oEmbed resource URLs, keyed by canonical URL.
UrlResolver::discoverResourceUrl function core/modules/media/src/OEmbed/UrlResolver.php Runs oEmbed discovery and returns the endpoint URL if successful.
UrlResolver::findUrl function core/modules/media/src/OEmbed/UrlResolver.php Tries to find the oEmbed URL in a DOM.
UrlResolver::getEndpointMatchingUrl function core/modules/media/src/OEmbed/UrlResolver.php For the given media item URL find an endpoint with schemes that match.
UrlResolver::getProviderByUrl function core/modules/media/src/OEmbed/UrlResolver.php Tries to determine the oEmbed provider for a media asset URL.
UrlResolver::getResourceUrl function core/modules/media/src/OEmbed/UrlResolver.php Builds the resource URL for a media asset URL.
UrlResolver::getResourceUrl function core/modules/media/tests/modules/media_test_oembed/src/UrlResolver.php Builds the resource URL for a media asset URL.
UrlResolver::setEndpointUrl function core/modules/media/tests/modules/media_test_oembed/src/UrlResolver.php Sets the endpoint URL for an oEmbed resource URL.
UrlResolver::__construct function core/modules/media/src/OEmbed/UrlResolver.php Constructs a UrlResolver object.
UrlResolverInterface interface core/modules/media/src/OEmbed/UrlResolverInterface.php Defines the interface for the oEmbed URL resolver service.
UrlResolverInterface.php file core/modules/media/src/OEmbed/UrlResolverInterface.php
UrlResolverInterface::getProviderByUrl function core/modules/media/src/OEmbed/UrlResolverInterface.php Tries to determine the oEmbed provider for a media asset URL.
UrlResolverInterface::getResourceUrl function core/modules/media/src/OEmbed/UrlResolverInterface.php Builds the resource URL for a media asset URL.
UrlResolverTest class core/modules/media/tests/src/Functional/UrlResolverTest.php Tests the oEmbed URL resolver service.
UrlResolverTest.php file core/modules/media/tests/src/Functional/UrlResolverTest.php
UrlResolverTest::$defaultTheme property core/modules/media/tests/src/Functional/UrlResolverTest.php The theme to install as the default for testing.
UrlResolverTest::providerEndpointMatching function core/modules/media/tests/src/Functional/UrlResolverTest.php Data provider for testEndpointMatching().
UrlResolverTest::providerUrlDiscovery function core/modules/media/tests/src/Functional/UrlResolverTest.php Data provider for testUrlDiscovery().

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.